Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Video.Status

    java.lang.Object
      java.lang.Enum<Video.Status>
          com.skype.api.Video.Status

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Video.Status>

Enclosing class:
  Video

    public static enum Video.Status

extends java.lang.Enum<Video.Status>
implements EnumConverting

Enum Constant Summary
`AVAILABLE`
`CHECKING_SUBSCRIPTION`
`HINT_IS_VIDEOCALL_RECEIVED`
`NOT_AVAILABLE`
`NOT_STARTED`
`PAUSED`
`REJECTED`
`RENDERING`
`RUNNING`
`STARTING`
`STOPPING`
`SWITCHING_DEVICE`
`UNKNOWN`

Field Summary
`static int` | `AVAILABLE_VALUE`
`static int` | `CHECKING_SUBSCRIPTION_VALUE`
`static int` | `HINT_IS_VIDEOCALL_RECEIVED_VALUE`
`static int` | `NOT_AVAILABLE_VALUE`
`static int` | `NOT_STARTED_VALUE`
`static int` | `PAUSED_VALUE`
`static int` | `REJECTED_VALUE`
`static int` | `RENDERING_VALUE`
`static int` | `RUNNING_VALUE`
`static int` | `STARTING_VALUE`
`static int` | `STOPPING_VALUE`
`static int` | `SWITCHING_DEVICE_VALUE`
`static int` | `UNKNOWN_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Video.Status` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Video.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Video.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_AVAILABLE

    public static final Video.Status NOT_AVAILABLE

### AVAILABLE

    public static final Video.Status AVAILABLE

### STARTING

    public static final Video.Status STARTING

### REJECTED

    public static final Video.Status REJECTED

### RUNNING

    public static final Video.Status RUNNING

### STOPPING

    public static final Video.Status STOPPING

### PAUSED

    public static final Video.Status PAUSED

### NOT_STARTED

    public static final Video.Status NOT_STARTED

### HINT_IS_VIDEOCALL_RECEIVED

    public static final Video.Status HINT_IS_VIDEOCALL_RECEIVED

### UNKNOWN

    public static final Video.Status UNKNOWN

### RENDERING

    public static final Video.Status RENDERING

### CHECKING_SUBSCRIPTION

    public static final Video.Status CHECKING_SUBSCRIPTION

### SWITCHING_DEVICE

    public static final Video.Status SWITCHING_DEVICE

Field Detail

### NOT_AVAILABLE_VALUE

    public static final int NOT_AVAILABLE_VALUE

See Also:
  Constant Field Values

### AVAILABLE_VALUE

    public static final int AVAILABLE_VALUE

See Also:
  Constant Field Values

### STARTING_VALUE

    public static final int STARTING_VALUE

See Also:
  Constant Field Values

### REJECTED_VALUE

    public static final int REJECTED_VALUE

See Also:
  Constant Field Values

### RUNNING_VALUE

    public static final int RUNNING_VALUE

See Also:
  Constant Field Values

### STOPPING_VALUE

    public static final int STOPPING_VALUE

See Also:
  Constant Field Values

### PAUSED_VALUE

    public static final int PAUSED_VALUE

See Also:
  Constant Field Values

### NOT_STARTED_VALUE

    public static final int NOT_STARTED_VALUE

See Also:
  Constant Field Values

### HINT_IS_VIDEOCALL_RECEIVED_VALUE

    public static final int HINT_IS_VIDEOCALL_RECEIVED_VALUE

See Also:
  Constant Field Values

### UNKNOWN_VALUE

    public static final int UNKNOWN_VALUE

See Also:
  Constant Field Values

### RENDERING_VALUE

    public static final int RENDERING_VALUE

See Also:
  Constant Field Values

### CHECKING_SUBSCRIPTION_VALUE

    public static final int CHECKING_SUBSCRIPTION_VALUE

See Also:
  Constant Field Values

### SWITCHING_DEVICE_VALUE

    public static final int SWITCHING_DEVICE_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Video.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Video.Status c : Video.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Video.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Video.Status get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.